export interface IUiState {
    activeView: string;
    activeSubview: string | null;
    sidebarCollapsed: boolean;
    autoRefresh: boolean;
    refreshInterval: number;
    theme: 'light' | 'dark';
}
export declare const uiStatePart: import("@push.rocks/smartstate").StatePart<string, IUiState>;
export declare const toggleAutoRefreshAction: import("@push.rocks/smartstate").StateAction<IUiState, unknown>;
export declare const setActiveViewAction: import("@push.rocks/smartstate").StateAction<IUiState, string>;
